
;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = 
c =
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;-| Hold Button |----------------------------------------------------------
; Please define Anim 74140108 in your AIR file if AND ONLY IF you place these
; 7 Hold Button commands immediately after the 11 Single Button and Hold Dir
; commands at the very top of your CMD list, as demonstrated here.
; In this version of the AI code, these commands are only used by the XOR
; method, and thus are optional.  But there remains a possibility that a
; future version of the helper method might be helped by having these
; commands placed here, and Anim 74140108 would then be used to indicate
; that a partner character has a compatible CMD.

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holdstart"
command = /s
time = 1

;--- None of your own command definitions should be above this line. ---

;-| CPU |--------------------------------------------------------------
; Note that if you make any changes to the basic one-button or recovery
; commands, you'll need to make the same changes to their matching commands here
; and/or in the XOR VarSet controller.  That includes things like, for example:
;  * changing the recovery command to use a different combination of buttons.
;  * renaming the b button command as "d", or the start button command as "s".
;  * switching the button names around, e.g. so button y triggers "a" and button a triggers "y".
;  * having more than one way to trigger the same command name.
; If you understand how the XOR method works, the proper changes should be obvious.
; If you don't understand it, then simply disable the lines in the XOR VarSet
; controller that correspond to the commands you've altered.

[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "start2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "holdstart2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+y
time = 1

;-| Super Motions |--------------------------------------------------------
[Command]
name = "720"
command = ~F, D, B, U, F, D, B, U, UF, x+y
time = 120
buffer.time = 20

[Command]
name = "720"
command = ~F, U, B, D, F, U, B, D, DF, x+y
time = 120
buffer.time = 20

[Command]
name = "720"
command = ~D, B, U, F, D, B, U, F, DF, x+y
time = 120
buffer.time = 20

[Command]
name = "720"
command = ~D, F, U, B, D, F, U, B, DB, x+y
time = 120
buffer.time = 20

[Command]
name = "720"
command = ~B, U, F, D, B, U, F, D, DB, x+y
time = 120
buffer.time = 20

[Command]
name = "720"
command = ~B, D, F, U, B, D, F, U, UB, x+y
time = 120
buffer.time = 20

[Command]
name = "720"
command = ~U, F, D, B, U, F, D, B, UB, x+y
time = 120
buffer.time = 20

[Command]
name = "720"
command = ~U, B, D, F, U, B, D, F, UF, x+y
time = 120
buffer.time = 20

[Command]
name = "Kirageddon"
command = ~F, DF, D, DB, B, F, DF, D, DB, B, x+y
time = 120
buffer.time = 15

;-| Special Motions |------------------------------------------------------
[Command]
name = "360"
command = ~F, D, B, U, x
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~F, U, B, D, x
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~D, B, U, F, x
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~D, F, U, B, x
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~B, U, F, D, x
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~B, D, F, U, x
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~U, F, D, B, x
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~U, B, D, F, x
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~F, D, B, U, y
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~F, U, B, D, y
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~D, B, U, F, y
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~D, F, U, B, y
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~B, U, F, D, y
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~B, D, F, U, y
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~U, F, D, B, y
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~U, B, D, F, y
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~F, D, B, U, z
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~F, U, B, D, z
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~D, B, U, F, z
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~D, F, U, B, z
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~B, U, F, D, z
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~B, D, F, U, z
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~U, F, D, B, z
time = 30
buffer.time = 10

[Command]
name = "360"
command = ~U, B, D, F, z
time = 30
buffer.time = 10

[Command]
name = "BunkerBuster"
command = ~F, D, B, x
time = 15
buffer.time = 5

[Command]
name = "BunkerBuster"
command = ~F, D, B, y
time = 30
buffer.time = 5

[Command]
name = "BunkerBuster"
command = ~F, D, B, z
time = 30
buffer.time = 5

[Command]
name = "Ekoda Shiki Something"
command = ~F, D, DF, x
time = 15
buffer.time = 5

[Command]
name = "Ekoda Shiki Something"
command = ~F, D, DF, y
time = 15
buffer.time = 5

[Command]
name = "Ekoda Shiki Something"
command = ~F, D, DF, z
time = 15
buffer.time = 5

[Command]
name = "Flying KSD"
command = ~D, DB, B, x
time = 8
buffer.time = 5

[Command]
name = "Flying KSD"
command = ~D, DB, B, y
time = 8
buffer.time = 5

[Command]
name = "Flying KSD"
command = ~D, DB, B, z
time = 8
buffer.time = 5

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "FIAD"
command = ~F, F
time = 3

[Command]
name = "BIAD"
command = ~B, B
time = 3

[Command]
name = "SJ"
command = ~$D, $U
time = 5

[Command]
name = "Jump"
command = $U
time = 1

[Command]
name = "Release"
command = ~$U
time = 1


;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a
time = 1

[Command]
name = "throw"
command = a+x
time = 2

[Command]
name = "Burst"
command = x+y+z
time = 3

[Command]
name = "Blaze"
command = ~D, DF, F, x+y+z
time = 10
buffer.time = 5

;-| Dir + Button |---------------------------------------------------------

;-| Arcana |---------------------------------------------------------
[Command]
name = "QCF_D"
command = ~D, DF, F, a
time = 15
buffer.time = 5

[Command]
name = "QCB_D"
command = ~D, DB, B, a
time = 15
buffer.time = 5

[Command]
name = "HCF_D"
command = ~B, DB, D, DF, F, a
time = 15
buffer.time = 5

[Command]
name = "HCB_D"
command = ~F, DF, D, DB, B, a
time = 15
buffer.time = 5

[Command]
name = "DP_D"
command = ~F, D, DF, a
time = 15
buffer.time = 5

[Command]
name = "RDP_D"
command = ~B, D, DB, a
time = 15
buffer.time = 5

[Command]
name = "360_D"
command = ~F, D, B, U, a
time = 30
buffer.time = 10

[Command]
name = "360_D"
command = ~D, B, U, F, a
time = 30
buffer.time = 10

[Command]
name = "360_D"
command = ~B, U, F, D, a
time = 30
buffer.time = 10

[Command]
name = "360_D"
command = ~U, F, D, B, a
time = 30
buffer.time = 10

[Command]
name = "QCBx2_D"
command = ~D, DB, B, D, DB, B, a
time = 20
buffer.time = 5


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]
;===========================================================================
;Combo System
[State -1, Reset]
type = null
triggerall = Movetype = I
trigger1 = var(8):=0 ;Jump Cancellable
trigger2 = var(9):=0 ;Special Cancellable
trigger3 = var(7):=0 ;Super Cancellable

;===========================================================================
[State -1, Blaze]
type = Changestate
value = 4100
triggerall = command = "Blaze"
triggerall = var(4) = 1
triggerall = statetype != A
trigger1 = ctrl

;===========================================================================
[State -1, Burst Activation]
type = Changestate
value = 70
triggerall = command = "Burst"
triggerall = var(4)=2
triggerall = !gethitvar(isbound)
triggerall = stateno != 70
triggerall = movetype != A
triggerall = alive
triggerall = roundstate = 2
trigger1 = movetype = H
trigger1 = var(13)!=2
trigger1 = enemy,movecontact
trigger2 = ctrl
trigger3 = canrecover
trigger4 = movetype = H
trigger4 = !(enemy,movecontact)
trigger4 = enemy, hitdefattr = SCA, NA, NP, NT, SA, SP, ST
trigger5 = movetype = H
trigger5 = enemy, movetype != A
ignorehitpause = 1

;===========================================================================
;Triple Armageddon Buster
[State -1, Triple Armageddon Buster]
type = ChangeState
value = 3000
triggerall = command = "720"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 65
trigger3 = movecontact
trigger3 = var(7)

;===========================================================================
;Kirageddon Buster
[State -1, Kirageddon Buster]
type = ChangeState
value = 3100
triggerall = command = "Kirageddon"
triggerall = power >= 1000
triggerall = statetype = A
trigger1 = ctrl

;===========================================================================
;Kira Sama Driver
[State -1, Kira Sama Driver]
type = ChangeState
value = 800
triggerall = command = "360"
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(16):= ifelse(command = "z", 802, ifelse(command = "y", 801, 800))
trigger2 = stateno = 40 || stateno = 65
trigger2 = var(16):= ifelse(command = "z", 802, ifelse(command = "y", 801, 800))
trigger3 = movecontact
trigger3 = var(9)

;===========================================================================
;Flying Kira Sama Driver
[State -1, Flying Kira Sama Driver]
type = ChangeState
value = 1100
triggerall = command = "Flying KSD"
triggerall = statetype = A
trigger1 = ctrl
trigger1 = var(16):= ifelse(command = "z", 802, ifelse(command = "y", 801, 800))
trigger2 = movecontact
trigger2 = var(9)

;===========================================================================
;Daidohji Bunker Buster
[State -1, Daidohji Bunker Buster]
type = ChangeState
value = 820
triggerall = command = "BunkerBuster"
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(16):= ifelse(command = "z", 21, ifelse(command = "y", 24, 18))
trigger2 = movecontact
trigger2 = var(9)
trigger2 = var(16):= ifelse(command = "z", 21, ifelse(command = "y", 24, 18))

;===========================================================================
;Ekoda Shiki Something
[State -1, Ekoda Shiki Something]
type = ChangeState
value = 1000
triggerall = command = "Ekoda Shiki Something"
triggerall = statetype != A
trigger1 = ctrl
trigger1 = 1 || var(16):= ifelse(command = "z", 1, ifelse(command = "y", 2, 4))
trigger2 = movecontact
trigger2 = var(9)
trigger2 = 1 || var(16):= ifelse(command = "z", 1, ifelse(command = "y", 2, 4))

;===========================================================================
;Throw
[State -1, Throw]
type = ChangeState
value = 860
triggerall = command = "throw"
trigger1 = statetype = A
trigger1 = ctrl

;===========================================================================
;Throw
[State -1, Throw]
type = ChangeState
value = 810
triggerall = command = "throw"
triggerall = command = "holdfwd" || command = "holdback"
trigger1 = statetype != A
trigger1 = ctrl

;===========================================================================
;Throw
[State -1, Throw]
type = ChangeState
value = 830
triggerall = command = "throw"
trigger1 = statetype != A
trigger1 = ctrl

;===========================================================================
;Stand Chop
[State -1, Stand Chop]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 400
trigger3 = movecontact

;---------------------------------------------------------------------------
;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact

;---------------------------------------------------------------------------
;Stand Charge Kick
[State -1, Stand Strong Kick]
type = ChangeState
value = 230
triggerall = command = "z"
triggerall = command != "holddown" && command = "holdfwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 210
trigger3 = movecontact

;---------------------------------------------------------------------------
;Stand Strong Kick
[State -1, Stand Strong Kick]
type = ChangeState
value = 220
triggerall = command = "z"
triggerall = command != "holddown" && command != "holdfwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 210
trigger3 = movecontact

;---------------------------------------------------------------------------
;Crouching Chop
[State -1, Crouching Chop]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 400
trigger3 = movecontact

;---------------------------------------------------------------------------
;Crouching Uppercut
[State -1, Crouching Uppercut]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 400
trigger3 = movecontact

;---------------------------------------------------------------------------
;Crouching Charge Uppercut
[State -1, Crouching Charge Uppercut]
type = ChangeState
value = 430
triggerall = command = "z"
triggerall = command = "holddown" && command = "holdfwd"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = movecontact

;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = command != "holdfwd"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = movecontact

;---------------------------------------------------------------------------
;Jumping Punch
[State -1, Jumping Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jumping Strong Punch
[State -1, Jumping Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 600

;---------------------------------------------------------------------------
;Body Splash
[State -1, Body Splash]
type = ChangeState
value = 630
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jumping Kick
[State -1, Jumping Kick]
type = ChangeState
value = 620
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 600

;---------------------------------------------------------------------------
;360 Arcana (Super)
[State -1, 360 Arcana]
type = changestate
value = 4030
triggerall = command = "360_D"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = var(7)
trigger3 = stateno = 40 || stateno = 65 

;---------------------------------------------------------------------------
;QCBx2 Arcana (Super)
[State -1, QCBx2 Arcana]
type = changestate
value = 4040
triggerall = command = "QCBx2_D"
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = movecontact
trigger2 = var(7)
trigger3 = stateno = 40 || stateno = 65 

;---------------------------------------------------------------------------
;DP Arcana
[State -1, DP Arcana]
type = changestate
value = 4020
triggerall = command = "DP_D"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = var(9)

;---------------------------------------------------------------------------
;QCF Arcana
[State -1, QCF Arcana]
type = changestate
value = 4000
triggerall = command = "QCF_D"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = var(9)

;---------------------------------------------------------------------------
;QCB Arcana
[State -1, QCB Arcana]
type = changestate
value = 4010
triggerall = command = "QCB_D"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = var(9)

;===========================================================================
;Airdash
[State -1, Airdash]
type = ChangeState
value = 60
triggerall = command = "FF" || command = "BB"
triggerall = !var(15)
triggerall = statetype = A
trigger1 = ctrl
trigger2 = var(8)

;===========================================================================
;HopFwd
[State -1, HopFwd]
type = ChangeState
value = 100
triggerall = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;HopBack
[State -1, HopBack]
type = ChangeState
value = 105
triggerall = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;Superjump
[State -1, Superjump]
type = Changestate
value = 65
triggerall = command = "SJ"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = var(8)
trigger3 = movecontact
trigger3 = stateno = 410

;===========================================================================
;Jump Cancel
[State -1, Jump Cancel]
type = Changestate
value = ifelse(statetype!=A, 40,45)
triggerall = command = "Jump"
triggerall = var(6) < 2
trigger1 = movecontact
trigger1 = var(8)
trigger2 = statetype = A
trigger2 = ctrl
trigger2 = pos Y <= -35
trigger2 = var(5) = 0

[State -1, Airjump Restrictor]
type = null
trigger1 = command = "Jump"
trigger1 = var(5):=1

[State -1, Airjump Restrictor]
type = null
trigger1 = command = "Release"
trigger1 = command != "holdup"
trigger1 = var(5):=0

[State -1, Display]
type = DisplayToClipboard
trigger1 = 1
text = "Jump Cancellable: %d\tSpecial Cancellable: %d\tSuper Cancellable: %d\nHoldup: %d\tBurst: %d"
params = var(8),var(9),var(7),var(5),var(4)